gstreamermm: Gst::DecodeBin2 Class Reference

gstreamermm 0.10.11

- Main Page
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Protected Member Functions | Related Functions
Gst::DecodeBin2 Class Reference
gstreamermm Plugins

A Wrapper for the decodebin2 plugin. More...

Inheritance diagram for Gst::DecodeBin2:
[legend]
Collaboration diagram for Gst::DecodeBin2:
[legend]

List of all members.

## Public Member Functions
virtual | ~DecodeBin2 ()
GstDecodeBin2* | gobj ()
| Provides access to the underlying C GObject.
const GstDecodeBin2* | gobj () const
| Provides access to the underlying C GObject.
GstDecodeBin2* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
Glib::PropertyProxy < Glib::RefPtr< Gst::Caps > > | property_caps ()
| The caps on which to stop decoding.
Glib::PropertyProxy_ReadOnly < Glib::RefPtr< Gst::Caps > > | property_caps () const
| The caps on which to stop decoding.
Glib::PropertyProxy < Glib::ustring > | property_subtitle_encoding ()
| Encoding to assume if input subtitles are not in UTF-8 encoding.
Glib::PropertyProxy_ReadOnly < Glib::ustring > | property_subtitle_encoding () const
| Encoding to assume if input subtitles are not in UTF-8 encoding.
Glib::PropertyProxy < Glib::RefPtr< Gst::Caps > > | property_sink_caps ()
| The caps of the input data.
Glib::PropertyProxy_ReadOnly < Glib::RefPtr< Gst::Caps > > | property_sink_caps () const
| The caps of the input data.
Glib::PropertyProxy< bool > | property_use_buffering ()
| Emit GST_MESSAGE_BUFFERING based on low-/high-percent thresholds.
Glib::PropertyProxy_ReadOnly < bool > | property_use_buffering () const
| Emit GST_MESSAGE_BUFFERING based on low-/high-percent thresholds.
Glib::PropertyProxy< int > | property_low_percent ()
| Low threshold for buffering to start.
Glib::PropertyProxy_ReadOnly< int > | property_low_percent () const
| Low threshold for buffering to start.
Glib::PropertyProxy< int > | property_high_percent ()
| High threshold for buffering to finish.
Glib::PropertyProxy_ReadOnly< int > | property_high_percent () const
| High threshold for buffering to finish.
Glib::PropertyProxy< guint > | property_max_size_bytes ()
| Max.
Glib::PropertyProxy_ReadOnly < guint > | property_max_size_bytes () const
| Max.
Glib::PropertyProxy< guint > | property_max_size_buffers ()
| Max.
Glib::PropertyProxy_ReadOnly < guint > | property_max_size_buffers () const
| Max.
Glib::PropertyProxy< guint64 > | property_max_size_time ()
| Max.
Glib::PropertyProxy_ReadOnly < guint64 > | property_max_size_time () const
| Max.
Glib::PropertyProxy< bool > | property_post_stream_topology ()
| Post stream-topology messages.
Glib::PropertyProxy_ReadOnly < bool > | property_post_stream_topology () const
| Post stream-topology messages.
Glib::PropertyProxy< bool > | property_expose_all_streams ()
| Expose all streams, including those of unknown type or that don't match the 'caps' property.
Glib::PropertyProxy_ReadOnly < bool > | property_expose_all_streams () const
| Expose all streams, including those of unknown type or that don't match the 'caps' property.
Glib::SignalProxy2< void, const Glib::RefPtr< Gst::Pad > &, bool > | signal_new_decoded_pad ()
Glib::SignalProxy1< void, const Glib::RefPtr< Gst::Pad >& > | signal_removed_decoded_pad ()
Glib::SignalProxy2< void, const Glib::RefPtr< Gst::Pad > &, const Glib::RefPtr < Gst::Caps >& > | signal_unknown_type ()
Glib::SignalProxy2< bool, const Glib::RefPtr< Gst::Pad > &, const Glib::RefPtr < Gst::Caps >& > | signal_autoplug_continue ()
Glib::SignalProxy2 < Glib::ValueArray, const Glib::RefPtr< Gst::Pad > &, const Glib::RefPtr < Gst::Caps >& > | signal_autoplug_factories ()
Glib::SignalProxy3 < Glib::ValueArray, const Glib::RefPtr< Gst::Pad > &, const Glib::RefPtr < Gst::Caps >&, const Glib::ValueArray& > | signal_autoplug_sort ()
Glib::SignalProxy3 < Gst::AutoplugSelectResult, const Glib::RefPtr< Gst::Pad > &, const Glib::RefPtr < Gst::Caps >&, const Glib::RefPtr < Gst::ElementFactory >& > | signal_autoplug_select ()
Glib::SignalProxy0< void > | signal_drained ()
## Static Public Member Functions
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system.
static Glib::RefPtr< DecodeBin2 > | create ()
| Creates a new decodebin2 plugin with a unique name.
static Glib::RefPtr< DecodeBin2 > | create (const Glib::ustring& name)
| Creates a new decodebin2 plugin with the given name.
## Protected Member Functions
| DecodeBin2 ()
| DecodeBin2 (const Glib::ustring& name)
## Related Functions
(Note that these are not member functions.)
Glib::RefPtr< Gst::DecodeBin2 > | wrap (GstDecodeBin2* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

A Wrapper for the decodebin2 plugin.

Please note that not all plug-ins are available on all systems so care must be taken that they exist before they are used otherwise there will be errors and possibly a crash.

## Constructor & Destructor Documentation

virtual Gst::DecodeBin2::~DecodeBin2 | ( |  | ) | `[virtual]`

Gst::DecodeBin2::DecodeBin2 | ( |  | ) | `[protected]`

Gst::DecodeBin2::DecodeBin2 | ( | const Glib::ustring & | name | ) | `[explicit, protected]`

## Member Function Documentation

static Glib::RefPtr<DecodeBin2> Gst::DecodeBin2::create | ( |  | ) | `[static]`

Creates a new decodebin2 plugin with a unique name.

Reimplemented from Gst::Bin.

static Glib::RefPtr<DecodeBin2> Gst::DecodeBin2::create | ( | const Glib::ustring & | name | ) | `[static]`

Creates a new decodebin2 plugin with the given name.

Reimplemented from Gst::Bin.

static GType Gst::DecodeBin2::get_type | ( |  | ) | `[static]`

Get the GType for this class, for use with the underlying GObject type system.

Reimplemented from Gst::Bin.

GstDecodeBin2* Gst::DecodeBin2::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GObject.

Reimplemented from Gst::Bin.

const GstDecodeBin2* Gst::DecodeBin2::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GObject.

Reimplemented from Gst::Bin.

GstDecodeBin2* Gst::DecodeBin2::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

Reimplemented from Gst::Bin.

Glib::PropertyProxy< Glib::RefPtr<Gst::Caps> > Gst::DecodeBin2::property_caps | ( |  | ) |

The caps on which to stop decoding.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< Glib::RefPtr<Gst::Caps> > Gst::DecodeBin2::property_caps | ( |  | ) | const

The caps on which to stop decoding.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< bool > Gst::DecodeBin2::property_expose_all_streams | ( |  | ) |

Expose all streams, including those of unknown type or that don't match the 'caps' property.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< bool > Gst::DecodeBin2::property_expose_all_streams | ( |  | ) | const

Expose all streams, including those of unknown type or that don't match the 'caps' property.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< int > Gst::DecodeBin2::property_high_percent | ( |  | ) |

High threshold for buffering to finish.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< int > Gst::DecodeBin2::property_high_percent | ( |  | ) | const

High threshold for buffering to finish.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< int > Gst::DecodeBin2::property_low_percent | ( |  | ) |

Low threshold for buffering to start.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< int > Gst::DecodeBin2::property_low_percent | ( |  | ) | const

Low threshold for buffering to start.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< guint > Gst::DecodeBin2::property_max_size_buffers | ( |  | ) |

Max.

number of buffers in the queue (0=automatic).

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< guint > Gst::DecodeBin2::property_max_size_buffers | ( |  | ) | const

Max.

number of buffers in the queue (0=automatic).

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< guint > Gst::DecodeBin2::property_max_size_bytes | ( |  | ) |

Max.

amount of bytes in the queue (0=automatic).

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< guint > Gst::DecodeBin2::property_max_size_bytes | ( |  | ) | const

Max.

amount of bytes in the queue (0=automatic).

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< guint64 > Gst::DecodeBin2::property_max_size_time | ( |  | ) |

Max.

amount of data in the queue (in ns, 0=automatic).

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< guint64 > Gst::DecodeBin2::property_max_size_time | ( |  | ) | const

Max.

amount of data in the queue (in ns, 0=automatic).

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< bool > Gst::DecodeBin2::property_post_stream_topology | ( |  | ) |

Post stream-topology messages.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< bool > Gst::DecodeBin2::property_post_stream_topology | ( |  | ) | const

Post stream-topology messages.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< Glib::RefPtr<Gst::Caps> > Gst::DecodeBin2::property_sink_caps | ( |  | ) |

The caps of the input data.

(NULL = use typefind element).

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< Glib::RefPtr<Gst::Caps> > Gst::DecodeBin2::property_sink_caps | ( |  | ) | const

The caps of the input data.

(NULL = use typefind element).

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< Glib::ustring > Gst::DecodeBin2::property_subtitle_encoding | ( |  | ) |

Encoding to assume if input subtitles are not in UTF-8 encoding.

If not set, the GST_SUBTITLE_ENCODING environment variable will be checked for an encoding to use. If that is not set either, ISO-8859-15 will be assumed.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< Glib::ustring > Gst::DecodeBin2::property_subtitle_encoding | ( |  | ) | const

Encoding to assume if input subtitles are not in UTF-8 encoding.

If not set, the GST_SUBTITLE_ENCODING environment variable will be checked for an encoding to use. If that is not set either, ISO-8859-15 will be assumed.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< bool > Gst::DecodeBin2::property_use_buffering | ( |  | ) |

Emit GST_MESSAGE_BUFFERING based on low-/high-percent thresholds.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< bool > Gst::DecodeBin2::property_use_buffering | ( |  | ) | const

Emit GST_MESSAGE_BUFFERING based on low-/high-percent thresholds.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::SignalProxy2< bool,const Glib::RefPtr<Gst::Pad>&,const Glib::RefPtr<Gst::Caps>& > Gst::DecodeBin2::signal_autoplug_continue | ( |  | ) |

Slot Prototype:
  `bool on_my_autoplug_continue(const Glib::RefPtr<Gst::Pad>& arg0, const Glib::RefPtr<Gst::Caps>& arg1)`

Glib::SignalProxy2< Glib::ValueArray,const Glib::RefPtr<Gst::Pad>&,const Glib::RefPtr<Gst::Caps>& > Gst::DecodeBin2::signal_autoplug_factories | ( |  | ) |

Slot Prototype:
  `Glib::ValueArray on_my_autoplug_factories(const Glib::RefPtr<Gst::Pad>& arg0, const Glib::RefPtr<Gst::Caps>& arg1)`

Glib::SignalProxy3< Gst::AutoplugSelectResult,const Glib::RefPtr<Gst::Pad>&,const Glib::RefPtr<Gst::Caps>&,const Glib::RefPtr<Gst::ElementFactory>& > Gst::DecodeBin2::signal_autoplug_select | ( |  | ) |

Slot Prototype:
  `Gst::AutoplugSelectResult on_my_autoplug_select(const Glib::RefPtr<Gst::Pad>& arg0, const Glib::RefPtr<Gst::Caps>& arg1, const Glib::RefPtr<Gst::ElementFactory>& arg2)`

Glib::SignalProxy3< Glib::ValueArray,const Glib::RefPtr<Gst::Pad>&,const Glib::RefPtr<Gst::Caps>&,const Glib::ValueArray& > Gst::DecodeBin2::signal_autoplug_sort | ( |  | ) |

Slot Prototype:
  `Glib::ValueArray on_my_autoplug_sort(const Glib::RefPtr<Gst::Pad>& arg0, const Glib::RefPtr<Gst::Caps>& arg1, const Glib::ValueArray& arg2)`

Glib::SignalProxy0< void > Gst::DecodeBin2::signal_drained | ( |  | ) |

Slot Prototype:
  `void on_my_drained()`

Glib::SignalProxy2< void,const Glib::RefPtr<Gst::Pad>&,bool > Gst::DecodeBin2::signal_new_decoded_pad | ( |  | ) |

Slot Prototype:
  `void on_my_new_decoded_pad(const Glib::RefPtr<Gst::Pad>& arg0, bool arg1)`

Glib::SignalProxy1< void,const Glib::RefPtr<Gst::Pad>& > Gst::DecodeBin2::signal_removed_decoded_pad | ( |  | ) |

Slot Prototype:
  `void on_my_removed_decoded_pad(const Glib::RefPtr<Gst::Pad>& arg0)`

Glib::SignalProxy2< void,const Glib::RefPtr<Gst::Pad>&,const Glib::RefPtr<Gst::Caps>& > Gst::DecodeBin2::signal_unknown_type | ( |  | ) |

Slot Prototype:
  `void on_my_unknown_type(const Glib::RefPtr<Gst::Pad>& arg0, const Glib::RefPtr<Gst::Caps>& arg1)`

## Friends And Related Function Documentation

Glib::RefPtr< Gst::DecodeBin2 > wrap | ( | GstDecodeBin2 * | object,
|  | bool | take_copy = `false`
| ) |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- gstreamermm/decodebin2.h